unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
    if  Application.MessageBox('Czy zakończyć program?','Tytuł okna',
                      MB_OkCancel)=IdOK then  Application.Terminate;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if FileExists('Liczby.txt') then
  begin
      if  Application.MessageBox('Plik o takiej nazwie już istnieje'+#13+
          'Czy powtórzyć zapis?','Problem z zapisem',MB_YesNo)=IdYes
      then  Memo1.Lines.SaveToFile('Liczby.Txt');
  end
  else
     Memo1.Lines.SaveToFile('Liczby.Txt');
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
    if  Application.MessageBox('Czy zakończyć program?','Tytuł okna',
                      MB_OkCancel)=IdOK then  Application.Terminate
    else CanClose:=false;                  ;
end;

end.
